@ECHO OFF
SET AppVer=1.1
:: ==================================================================
::           Demise Save Game Data Backup and Restore Tool
::                by Ken Baker - kenbaker@teambg.com
::                   http://www.teambg.com/demise
:: ==================================================================
::  Any modifications to this tool should be emailed to me so I can
::  release it and brush up on my DOS.  hehehe
:: ==================================================================

:: ==================================================================
::  Make the backup slot folders (or attmept to even if they may
::  already exist, as it is not a problem). This is done to ensure
::  that if a delete of a backup is attempted there is always a
::  backup folder to cd into so that the del command does not
::  inadvertantly delete the files in the game's install directory.
:: ==================================================================
mkdir SLOT1
mkdir SLOT2
mkdir SLOT3
mkdir SLOT4
mkdir SLOT5

:MAINMENU
cls
echo ====================================================
echo  Demise Save Game Data Backup and Restore Tool v%AppVer%
echo          by Ken Baker - kenbaker@teambg.com
echo             http://www.teambg.com/demise
echo ====================================================
echo  Note: Each set of backed up save game data can
echo        take up several megabytes, keep an eye on
echo        the disc space usage on your drive.
echo ====================================================
echo  Use this tool sparingly, Demise is intended to be
echo  played and experienced as a perpetual game world
echo  where your experiences are cumulative and actions
echo  mean something and may have consequences.
echo ====================================================
echo.
echo 1 = Backup
echo 2 = Restore
echo.
echo 4 = Delete a Backup
echo.
echo 6 = Reset Companions
echo.
echo 9 = EXIT
CHOICE /N /C:123456789 Your choice is? (1,2,4,6,9) %1
echo.
IF ERRORLEVEL ==9 GOTO GETOUT
IF ERRORLEVEL ==8 GOTO GETOUT
IF ERRORLEVEL ==7 GOTO GETOUT
IF ERRORLEVEL ==6 GOTO RESETPETS
IF ERRORLEVEL ==5 GOTO GETOUT
IF ERRORLEVEL ==4 GOTO DELETEBACKUP
IF ERRORLEVEL ==3 GOTO GETOUT
IF ERRORLEVEL ==2 GOTO RESTORE
IF ERRORLEVEL ==1 GOTO BACKUP
GOTO END

:: ==================================================================

:BACKUP
cls
echo ========================================
echo ========================================
echo          B A C K U P   M O D E
echo ========================================
echo  Be careful not to backup over a backup
echo  you want to keep.
echo ========================================
echo.
echo 1 = Slot #1
IF EXIST SLOT1.txt TYPE SLOT1.txt
IF NOT EXIST SLOT1.txt ECHO       -- empty --
echo 2 = Slot #2
IF EXIST SLOT2.txt TYPE SLOT2.txt
IF NOT EXIST SLOT2.txt ECHO       -- empty --
echo 3 = Slot #3
IF EXIST SLOT3.txt TYPE SLOT3.txt
IF NOT EXIST SLOT3.txt ECHO       -- empty --
echo 4 = Slot #4
IF EXIST SLOT4.txt TYPE SLOT4.txt
IF NOT EXIST SLOT4.txt ECHO       -- empty --
echo 5 = Slot #5
IF EXIST SLOT5.txt TYPE SLOT5.txt
IF NOT EXIST SLOT5.txt ECHO       -- empty --
echo.
echo 7 = RETURN TO MAIN MENU
echo.
echo 9 = EXIT
CHOICE /N /C:123456789 Your choice is? (1,2,3,4,5,7,9) %1
echo.
IF ERRORLEVEL ==9 GOTO GETOUT
IF ERRORLEVEL ==8 GOTO GETOUT
IF ERRORLEVEL ==7 GOTO MAINMENU
IF ERRORLEVEL ==6 GOTO GETOUT
IF ERRORLEVEL ==5 GOTO BSLOT5
IF ERRORLEVEL ==4 GOTO BSLOT4
IF ERRORLEVEL ==3 GOTO BSLOT3
IF ERRORLEVEL ==2 GOTO BSLOT2
IF ERRORLEVEL ==1 GOTO BSLOT1
GOTO MAINMENU

:BSLOT5
mkdir SLOT5
cd system\demise
copy /y *.* ..\..\SLOT5
cd ..
cd ..
echo.
QUERY Backup description? >temp.bat
CALL temp
echo       %DATE% %TIME% - %ASK% > SLOT5.txt
DEL temp.bat
echo.
echo Data saved to Backup Slot #5
echo.
pause
GOTO MAINMENU

:BSLOT4
mkdir SLOT4
cd system\demise
copy /y *.* ..\..\SLOT4
cd ..
cd ..
echo.
QUERY Backup description? >temp.bat
CALL temp
echo       %DATE% %TIME% - %ASK% > SLOT4.txt
DEL temp.bat
echo.
echo Data saved to Backup Slot #4
echo.
pause
GOTO MAINMENU

:BSLOT3
mkdir SLOT3
cd system\demise
copy /y *.* ..\..\SLOT3
cd ..
cd ..
echo.
QUERY Backup description? >temp.bat
CALL temp
echo       %DATE% %TIME% - %ASK% > SLOT3.txt
DEL temp.bat
echo.
echo Data saved to Backup Slot #3
echo.
pause
GOTO MAINMENU

:BSLOT2
mkdir SLOT2
cd system\demise
copy /y *.* ..\..\SLOT2
cd ..
cd ..
echo.
QUERY Backup description? >temp.bat
CALL temp
echo       %DATE% %TIME% - %ASK% > SLOT2.txt
DEL temp.bat
echo.
echo Data saved to Backup Slot #2
echo.
pause
GOTO MAINMENU

:BSLOT1
mkdir SLOT1
cd system\demise
copy /y *.* ..\..\SLOT1
cd ..
cd ..
echo.
QUERY Backup description? >temp.bat
CALL temp
echo       %DATE% %TIME% - %ASK% > SLOT1.txt
DEL temp.bat
echo.
echo Data saved to Backup Slot #1
echo.
pause
GOTO MAINMENU

:: ==================================================================

:RESTORE
cls
echo ========================================
echo ========================================
echo        R E S T O R E   M O D E
echo ========================================
echo  Be careful not to restore over a game
echo  in progress unless you are sure.
echo ========================================
echo.
echo 1 = Slot #1
IF EXIST SLOT1.txt TYPE SLOT1.txt
IF NOT EXIST SLOT1.txt ECHO       -- empty --
echo 2 = Slot #2
IF EXIST SLOT2.txt TYPE SLOT2.txt
IF NOT EXIST SLOT2.txt ECHO       -- empty --
echo 3 = Slot #3
IF EXIST SLOT3.txt TYPE SLOT3.txt
IF NOT EXIST SLOT3.txt ECHO       -- empty --
echo 4 = Slot #4
IF EXIST SLOT4.txt TYPE SLOT4.txt
IF NOT EXIST SLOT4.txt ECHO       -- empty --
echo 5 = Slot #5
IF EXIST SLOT5.txt TYPE SLOT5.txt
IF NOT EXIST SLOT5.txt ECHO       -- empty --
echo.
echo 7 = RETURN TO MAIN MENU
echo.
echo 9 = EXIT
CHOICE /N /C:123456789 Your choice is? (1,2,3,4,5,7,9) %1
echo.
IF ERRORLEVEL ==9 GOTO GETOUT
IF ERRORLEVEL ==8 GOTO GETOUT
IF ERRORLEVEL ==7 GOTO MAINMENU
IF ERRORLEVEL ==6 GOTO GETOUT
IF ERRORLEVEL ==5 GOTO SLOT5
IF ERRORLEVEL ==4 GOTO SLOT4
IF ERRORLEVEL ==3 GOTO SLOT3
IF ERRORLEVEL ==2 GOTO SLOT2
IF ERRORLEVEL ==1 GOTO SLOT1
GOTO MAINMENU

:SLOT5
cd slot5
copy /y *.* ..\system\demise
cd ..
echo.
echo Data retrieved from Backup Slot #5
echo.
pause
GOTO MAINMENU

:SLOT4
cd slot4
copy /y *.* ..\system\demise
cd ..
echo.
echo Data retrieved from Backup Slot #4
echo.
pause
GOTO MAINMENU

:SLOT3
cd slot3
copy /y *.* ..\system\demise
cd ..
echo.
echo Data retrieved from Backup Slot #3
echo.
pause
GOTO MAINMENU

:SLOT2
cd slot2
copy /y *.* ..\system\demise
cd ..
echo.
echo Data retrieved from Backup Slot #2
echo.
pause
GOTO MAINMENU

:SLOT1
cd slot1
copy /y *.* ..\system\demise
cd ..
echo.
echo Data retrieved from Backup Slot #1
echo.
pause
GOTO MAINMENU

:: ==================================================================

:DELETEBACKUP
cls
echo ========================================
echo ========================================
echo         D E L E T E   M O D E
echo ========================================
echo  Be careful not to delete a backup that
echo  you want to keep.
echo ========================================
echo.
echo 1 = Slot #1
IF EXIST SLOT1.txt TYPE SLOT1.txt
IF NOT EXIST SLOT1.txt ECHO       -- empty --
echo 2 = Slot #2
IF EXIST SLOT2.txt TYPE SLOT2.txt
IF NOT EXIST SLOT2.txt ECHO       -- empty --
echo 3 = Slot #3
IF EXIST SLOT3.txt TYPE SLOT3.txt
IF NOT EXIST SLOT3.txt ECHO       -- empty --
echo 4 = Slot #4
IF EXIST SLOT4.txt TYPE SLOT4.txt
IF NOT EXIST SLOT4.txt ECHO       -- empty --
echo 5 = Slot #5
IF EXIST SLOT5.txt TYPE SLOT5.txt
IF NOT EXIST SLOT5.txt ECHO       -- empty --
echo.
echo 7 = RETURN TO MAIN MENU
echo.
echo 9 = EXIT
CHOICE /N /C:123456789 Your choice is? (1,2,3,4,5,7,9) %1
echo.
IF ERRORLEVEL ==9 GOTO GETOUT
IF ERRORLEVEL ==8 GOTO GETOUT
IF ERRORLEVEL ==7 GOTO MAINMENU
IF ERRORLEVEL ==6 GOTO GETOUT
IF ERRORLEVEL ==5 GOTO DSLOT5
IF ERRORLEVEL ==4 GOTO DSLOT4
IF ERRORLEVEL ==3 GOTO DSLOT3
IF ERRORLEVEL ==2 GOTO DSLOT2
IF ERRORLEVEL ==1 GOTO DSLOT1
GOTO END

:DSLOT5
cd slot5
del /q *.*
dir
cd ..
del Slot5.txt
echo.
echo Backup deleted from Backup Slot #5
echo.
pause
GOTO MAINMENU

:DSLOT4
cd slot4
del /q *.*
dir
cd ..
del Slot4.txt
echo.
echo Backup deleted from Backup Slot #4
echo.
pause
GOTO MAINMENU

:DSLOT3
cd slot3
del /q *.*
dir
cd ..
del Slot3.txt
echo.
echo Backup deleted from Backup Slot #3
echo.
pause
GOTO MAINMENU

:DSLOT2
cd slot2
del /q *.*
dir
cd ..
del Slot2.txt
echo.
echo Backup deleted from Backup Slot #2
echo.
pause
GOTO MAINMENU

:DSLOT1
cd slot1
del /q *.*
dir
cd ..
del Slot1.txt
echo.
echo Backup deleted from Backup Slot #1
echo.
pause
GOTO MAINMENU

:: ==================================================================

:RESETPETS
cls
echo ========================================
echo ========================================
echo     R E S E T   C O M P A N I O N S
echo ========================================
echo ========================================
echo.
echo 1 = Reset Companions Now
echo.
echo 7 = RETURN TO MAIN MENU
echo.
echo 9 = EXIT
CHOICE /N /C:123456789 Your choice is? (1,7,9) %1
echo.
IF ERRORLEVEL ==9 GOTO GETOUT
IF ERRORLEVEL ==8 GOTO GETOUT
IF ERRORLEVEL ==7 GOTO MAINMENU
IF ERRORLEVEL ==6 GOTO GETOUT
IF ERRORLEVEL ==5 GOTO GETOUT
IF ERRORLEVEL ==4 GOTO GETOUT
IF ERRORLEVEL ==3 GOTO GETOUT
IF ERRORLEVEL ==2 GOTO GETOUT
IF ERRORLEVEL ==1 GOTO RESET1
GOTO MAINMENU

:RESET1
CHOICE /N /C:123456789 Are you sure? (1=YES, 9=NO) %1
echo.
IF ERRORLEVEL ==9 GOTO RESETPETS
IF ERRORLEVEL ==8 GOTO RESETPETS
IF ERRORLEVEL ==7 GOTO RESETPETS
IF ERRORLEVEL ==6 GOTO RESETPETS
IF ERRORLEVEL ==5 GOTO RESETPETS
IF ERRORLEVEL ==4 GOTO RESETPETS
IF ERRORLEVEL ==3 GOTO RESETPETS
IF ERRORLEVEL ==2 GOTO RESETPETS
IF ERRORLEVEL ==1 GOTO RESET2
GOTO RESETPETS

:RESET2
cd system\demise
del /q DEMISECompanionStore.DED
cd ..
cd ..
echo.
echo Companions have been reset!
echo.
pause
GOTO MAINMENU

:: ==================================================================

:GETOUT
echo Nothing was done.
echo.

:END
echo Goodbye!
echo.
pause

